com.sun.jna.platform.win32

## Class ShellAPI.APPBARDATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.ShellAPI.APPBARDATA

Direct Known Subclasses:
  ShellAPI.APPBARDATA.ByReference

Enclosing interface:
  ShellAPI

    @Structure.FieldOrder(value={"cbSize","hWnd","uCallbackMessage","uEdge","rc","lParam"})
    public static class ShellAPI.APPBARDATA
    extends Structure

Contains information about a system appbar message.

### Nested Class Summary

Nested Classes
`static class` `ShellAPI.APPBARDATA.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.DWORD` `cbSize`
`WinDef.HWND` `hWnd`
`WinDef.LPARAM` `lParam`
`WinDef.RECT` `rc`
`WinDef.UINT` `uCallbackMessage`
`WinDef.UINT` `uEdge`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`APPBARDATA()`
`APPBARDATA(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbSize

    public WinDef.DWORD cbSize

#### hWnd

    public WinDef.HWND hWnd

#### uCallbackMessage

    public WinDef.UINT uCallbackMessage

#### uEdge

    public WinDef.UINT uEdge

#### rc

    public WinDef.RECT rc

#### lParam

    public WinDef.LPARAM lParam

### Constructor Detail

#### APPBARDATA

    public APPBARDATA()

#### APPBARDATA

    public APPBARDATA(Pointer p)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.